JMXServerErrorException (Java Platform SE 8 )
Keywords: javax.management.remote.JMXServerErrorException class
Date: 2016-10-23

compact3
javax.management.remote

## Class JMXServerErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.management.remote.JMXServerErrorException

- All Implemented Interfaces:
    Serializable

      public class JMXServerErrorException
      extends IOException

  Exception thrown as the result of a remote `MBeanServer` method invocation when an `Error` is thrown while processing the invocation in the remote MBean server. A `JMXServerErrorException` instance contains the original `Error` that occurred as its cause.
  Since:
    1.5
  See Also:
    `ServerError`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXServerErrorException(String s, Error err)` Constructs a `JMXServerErrorException` with the specified detail message and nested error.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JMXServerErrorException

          public JMXServerErrorException(String s,
                                         Error err)

      Constructs a `JMXServerErrorException` with the specified detail message and nested error.
      Parameters:
        `s` - the detail message.
        `err` - the nested error. An instance of this class can be constructed where this parameter is null, but the standard connectors will never do so.

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Description copied from class: `Throwable`
      Returns the cause of this throwable or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this throwable to get thrown.)

      This implementation returns the cause that was supplied via one of the constructors requiring a `Throwable`, or that was set after creation with the `Throwable.initCause(Throwable)` method. While it is typically unnecessary to override this method, a subclass can override it to return a cause set by some other means. This is appropriate for a "legacy chained throwable" that predates the addition of chained exceptions to `Throwable`. Note that it is not necessary to override any of the `PrintStackTrace` methods, all of which invoke the `getCause` method to determine the cause of a throwable.

      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the cause of this throwable or `null` if the cause is nonexistent or unknown.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.